using System;
using TheGameExtreme.model.card.cardType;

namespace TheGameExtreme.model.deck
{
    public class Decimal1Deck : Deck
    {
        public Decimal1Deck(int nbCard, int borneMin, int borneMax) : base(nbCard)
        {
            Random random = new Random();
            while (deck.Count < nbCard && deck.Count < (borneMax - borneMin))
            {
                decimal value = random.Next(borneMin, borneMax) * 0.1m;
                InsertionDichotomique(deck, 0, deck.Count - 1, new ClassicCard(value));
            }
        }
    }
}
